## callaudiod 0.1.99

=== meson_options.txt ===
option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Whether to generate the API reference for Callaudio')

## callaudiod 0.0.4

=== debian/changelog ===
callaudiod (0.0.4-1pureos+librem5.1) amber-phone; urgency=medium

  [ Guido Günther ]
  * Add librem5 ci
  * d/control: Use dh 12

  [ Sebastian Krzyszkowiak ]
  * gbp.conf: Update for amber-phone

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Wed, 28 Oct 2020 20:19:16 +0100

callaudiod (0.0.4-1) unstable; urgency=medium

  * New upstream release 0.0.4
  * debian: update symbols file

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 28 Oct 2020 18:45:52 +0100

callaudiod (0.0.3-1) unstable; urgency=medium

  * New upstream release 0.0.3
  * debian: remove custom user service.
    Upstream now provides a D-Bus service for automatic activation.
  * debian: update symbols file

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Mon, 19 Oct 2020 19:50:10 +0200

callaudiod (0.0.2-1) unstable; urgency=medium

  * New upstream release 0.0.2

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Tue, 13 Oct 2020 17:50:27 +0200

callaudiod (0.0.1-1) unstable; urgency=medium

  * Initial release

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Mon, 05 Oct 2020 15:46:53 +0200

=== debian/control ===
Source: callaudiod
Section: comm
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>
Build-Depends:
 dbus,
 debhelper-compat (= 12),
 gtk-doc-tools,
 libasound2-dev,
 libglib2.0-dev,
 libpulse-dev,
 meson,
 pkg-config,
Standards-Version: 4.5.0
Homepage: https://gitlab.com/mobian1/callaudiod
Vcs-Git: https://gitlab.com/mobian1/callaudiod.git
Vcs-Browser: https://gitlab.com/mobian1/callaudiod
Rules-Requires-Root: no

Package: callaudiod
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 pulseaudio,
Description: Call audio routing daemon
 callaudiod is a daemon for dealing with audio routing during phone calls.
 It provides a D-Bus interface allowing other programs to:
   * switch audio profiles
   * output audio to the speaker or back to its original port
   * mute the microphone
 .
 This package contains the daemon and D-Bus interface definition.

Package: libcallaudio-0-0
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Library for audio routing during voice calls
 callaudiod is a daemon for dealing with audio routing during phone calls.
 It provides a D-Bus interface allowing other programs to:
   * switch audio profiles
   * output audio to the speaker or back to its original port
   * mute the microphone
 .
 This package contains the shared libraries for applications interfacing with
 callaudiod and the API documentation.

Package: libcallaudio-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libcallaudio-0-0 (= ${binary:Version}),
 libglib2.0-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Development files for libcallaudio
 callaudiod is a daemon for dealing with audio routing during phone calls.
 It provides a D-Bus interface allowing other programs to:
   * switch audio profiles
   * output audio to the speaker or back to its original port
   * mute the microphone
 .
 This package contains development files to use when writing applications that
 interface with callaudiod.

Package: libcallaudio-tools
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Helper tools for libcallaudio
 callaudiod is a daemon for dealing with audio routing during phone calls.
 It provides a D-Bus interface allowing other programs to:
   * switch audio profiles
   * output audio to the speaker or back to its original port
   * mute the microphone
 .
 This package contains helper tools for libcallaudio.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --builddirectory=_build

override_dh_makeshlibs:
	dh_makeshlibs --package=libcallaudio-0-0 -- -c2

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/callaudiod.*\.tar\.gz/callaudiod-$1\.tar\.gz/g \
  https://gitlab.com/mobian1/callaudiod/tags?sort=updated_desc .*/archive/v(\d\S+)/.*\.tar\.gz.*

## callaudiod 0.0.5

=== debian/changelog ===
callaudiod (0.0.5-1) unstable; urgency=medium

  [ Guido Günther ]
  * d/gbp.conf: Set upstream branch.

  [ Arnaud Ferraris ]
  * New upstream version 0.0.5
  * debian: propagate API version bump
  * debian: create and build documentation package

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Tue, 12 Jan 2021 18:01:35 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>
 Build-Depends:
  dbus,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  gtk-doc-tools,
  libasound2-dev,
  libglib2.0-dev,
@@ -14,8 +14,8 @@
  pkg-config,
 Standards-Version: 4.5.0
 Homepage: https://gitlab.com/mobian1/callaudiod
-Vcs-Git: https://gitlab.com/mobian1/callaudiod.git
-Vcs-Browser: https://gitlab.com/mobian1/callaudiod
+Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/callaudiod.git
+Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/callaudiod
 Rules-Requires-Root: no
 
 Package: callaudiod
@@ -33,7 +33,7 @@
  .
  This package contains the daemon and D-Bus interface definition.
 
-Package: libcallaudio-0-0
+Package: libcallaudio-0-1
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -48,14 +48,14 @@
    * mute the microphone
  .
  This package contains the shared libraries for applications interfacing with
- callaudiod and the API documentation.
+ callaudiod.
 
 Package: libcallaudio-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
 Depends:
- libcallaudio-0-0 (= ${binary:Version}),
+ libcallaudio-0-1 (= ${binary:Version}),
  libglib2.0-dev,
  ${misc:Depends},
  ${shlibs:Depends},
@@ -68,6 +68,23 @@
  .
  This package contains development files to use when writing applications that
  interface with callaudiod.
+
+Package: libcallaudio-doc
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends:
+ libcallaudio-0-1 (= ${binary:Version}),
+ libglib2.0-dev,
+ ${misc:Depends},
+Description: Development files for libcallaudio
+ callaudiod is a daemon for dealing with audio routing during phone calls.
+ It provides a D-Bus interface allowing other programs to:
+   * switch audio profiles
+   * output audio to the speaker or back to its original port
+   * mute the microphone
+ .
+ This package contains the API documentation.
 
 Package: libcallaudio-tools
 Architecture: any

## callaudiod 0.1.0

=== debian/changelog ===
callaudiod (0.1.0-1) unstable; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * d/control: Make doc package Architecture All
  * d/control: put -doc package in doc section
  * d/control: Fix doc package dependencies
  * d/control: Suggest devhelp in doc package
  * d/control: Fix doc package description

  [ Arnaud Ferraris ]
  * New upstream version 0.1.0

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Thu, 28 Jan 2021 08:55:46 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --builddirectory=_build

override_dh_auto_configure:
	dh_auto_configure -- -Dgtk_doc=true

override_dh_makeshlibs:
	dh_makeshlibs --package=libcallaudio-0-1 -- -c2

## callaudiod 0.1.1

=== debian/changelog ===
callaudiod (0.1.1-1) unstable; urgency=medium

  * New upstream version 0.1.1

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Thu, 16 Sep 2021 12:01:25 +0200

=== debian/control ===
--- 
+++ 
@@ -70,14 +70,12 @@
  interface with callaudiod.
 
 Package: libcallaudio-doc
-Architecture: any
-Multi-Arch: same
-Section: libdevel
+Architecture: all
+Section: doc
 Depends:
- libcallaudio-0-1 (= ${binary:Version}),
- libglib2.0-dev,
- ${misc:Depends},
-Description: Development files for libcallaudio
+ ${misc:Depends}
+Suggests: devhelp
+Description: Documentation for libcallaudio's API
  callaudiod is a daemon for dealing with audio routing during phone calls.
  It provides a D-Bus interface allowing other programs to:
    * switch audio profiles

## callaudiod 0.1.2

=== debian/changelog ===
callaudiod (0.1.2-1) unstable; urgency=medium

  * New upstream version 0.1.2
  * d/control: bump Standards-Version, no changes required

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 05 Jan 2022 11:31:55 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libpulse-dev,
  meson,
  pkg-config,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://gitlab.com/mobian1/callaudiod
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/callaudiod.git
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/callaudiod

## callaudiod 0.1.3

=== debian/changelog ===
callaudiod (0.1.3-1) unstable; urgency=medium

  * New upstream version 0.1.3

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Thu, 06 Jan 2022 20:28:17 +0100

## callaudiod 0.1.4

=== debian/changelog ===
callaudiod (0.1.4-2) unstable; urgency=medium

  * Team upload.
  [ Guido Günther ]
  * d/control: Allow for pipewire-pulse as well.
    This allows to use pipewire-pulse in favour of pulseaudio.

  [ Evangelos Ribeiro Tzaras ]
  * Do not build documentation in an arch-only build.
    Closes: bug#1010225 (thanks Helmut Grohne!)
  * libcallaudio-0-1: Recommend callaudiod

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sun, 14 Aug 2022 16:30:17 +0200

callaudiod (0.1.4-1) unstable; urgency=medium

  * d/gbp.conf: use proper config for upstream tag.
  * debian: update symbols file.
  * New upstream version 0.1.4

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Fri, 25 Mar 2022 10:23:38 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
 Build-Depends:
  dbus,
  debhelper-compat (= 13),
- gtk-doc-tools,
  libasound2-dev,
  libglib2.0-dev,
  libpulse-dev,
  meson,
  pkg-config,
+Build-Depends-Indep:
+ gtk-doc-tools,
 Standards-Version: 4.6.0
 Homepage: https://gitlab.com/mobian1/callaudiod
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/callaudiod.git
@@ -23,7 +24,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- pulseaudio,
+ pulseaudio | pipewire-pulse,
 Description: Call audio routing daemon
  callaudiod is a daemon for dealing with audio routing during phone calls.
  It provides a D-Bus interface allowing other programs to:
@@ -40,6 +41,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
+ callaudiod,
 Description: Library for audio routing during voice calls
  callaudiod is a daemon for dealing with audio routing during phone calls.
  It provides a D-Bus interface allowing other programs to:

## callaudiod 0.1.5

=== debian/changelog ===
callaudiod (0.1.5-1) unstable; urgency=medium

  [ Arnaud Ferraris ]
  * New upstream version 0.1.5
  * d/control: update my email and bump Standards-Version

  [ Debian Janitor ]
  * Apply multi-arch hints. + libcallaudio-doc: Add Multi-Arch: foreign.
    Changes-By: apply-multiarch-hints

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 07 Dec 2022 12:58:02 +0100

## callaudiod 0.1.6

=== debian/changelog ===
callaudiod (0.1.6-1) unstable; urgency=medium

  * New upstream version 0.1.6

 -- Arnaud Ferraris <aferraris@debian.org>  Sat, 10 Dec 2022 18:46:08 +0100

## callaudiod 0.1.7

=== debian/changelog ===
callaudiod (0.1.7-1) unstable; urgency=medium

  * New upstream version 0.1.6

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 10 Jan 2023 17:16:59 +0100

## callaudiod 0.1.9

=== debian/changelog ===
callaudiod (0.1.9-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:25:03 +0000

callaudiod (0.1.9-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:06:50 +0000

callaudiod (0.1.9-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:01:34 +0000

callaudiod (0.1.9-1) unstable; urgency=medium

  * Release to unstable

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 13 Jun 2023 16:31:49 +0200

callaudiod (0.1.9-1~exp1) experimental; urgency=medium

  * New upstream version 0.1.9

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 16 May 2023 09:18:07 +0200

callaudiod (0.1.8-1~exp1) experimental; urgency=medium

  * New upstream version 0.1.8

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 15 May 2023 22:49:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: callaudiod
 Section: comm
 Priority: optional
-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
-Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Uploaders: Arnaud Ferraris <aferraris@debian.org>
 Build-Depends:
  dbus,
  debhelper-compat (= 13),
@@ -13,7 +14,7 @@
  pkg-config,
 Build-Depends-Indep:
  gtk-doc-tools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://gitlab.com/mobian1/callaudiod
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/callaudiod.git
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/callaudiod
@@ -78,6 +79,7 @@
 Depends:
  ${misc:Depends}
 Suggests: devhelp
+Multi-Arch: foreign
 Description: Documentation for libcallaudio's API
  callaudiod is a daemon for dealing with audio routing during phone calls.
  It provides a D-Bus interface allowing other programs to:

## callaudiod 0.1.10

=== debian/changelog ===
callaudiod (0.1.10-1) unstable; urgency=medium

  * New upstream release
  * d/watch: adapt to recent GitLab changes
  * d/gbp.conf: add default commit messages

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 02 Jul 2024 12:31:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: callaudiod
 Section: comm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Arnaud Ferraris <aferraris@debian.org>
 Build-Depends:
  dbus,

## callaudiod 0.1.99

=== debian/changelog ===
callaudiod (0.1.99-1) unstable; urgency=medium

  * New upstream release
  * d/control: refresh dependencies.
    Upstream now relies on `appstream` for version checking purposes, so
    we must have it as a build dependency. `pkg-config` has been replaced
    with `pkgconf` in Debian, so depend on the latter. Finally, our main
    use-case is using PipeWire, so reorder the binary dependencies so we
    prefer PipeWire over Pulseaudio and ensure we only use this version
    with a recent enough WirePlumber.
    While at it, bump Standards-Version as no other change is needed, and
    drop the deprecated `Rules-Requires-Root: no`.

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 30 Sep 2025 10:08:45 +0200

=== debian/control ===
--- 
+++ 
@@ -6,25 +6,27 @@
 Build-Depends:
  dbus,
  debhelper-compat (= 13),
+ libappstream-dev,
  libasound2-dev,
  libglib2.0-dev,
  libpulse-dev,
  meson,
- pkg-config,
+ pkgconf,
 Build-Depends-Indep:
  gtk-doc-tools,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://gitlab.com/mobian1/callaudiod
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/callaudiod.git
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/callaudiod
-Rules-Requires-Root: no
 
 Package: callaudiod
 Architecture: any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- pulseaudio | pipewire-pulse,
+ pipewire-pulse | pulseaudio,
+Breaks:
+ wireplumber (<< 0.5.11~),
 Description: Call audio routing daemon
  callaudiod is a daemon for dealing with audio routing during phone calls.
  It provides a D-Bus interface allowing other programs to:

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	dh $@ --builddirectory=_build
 
 override_dh_auto_configure:
-	dh_auto_configure -- -Dgtk_doc=true
+	dh_auto_configure -- -Dgtk_doc=$(if $(filter libcallaudio-doc,$(shell dh_listpackages)),true,false)
 
 override_dh_makeshlibs:
 	dh_makeshlibs --package=libcallaudio-0-1 -- -c2

=== debian/watch ===
version=4
opts="searchmode=plain" \
  https://gitlab.com/mobian1/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
